package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFDynamicUser;
import com.sa.ibiz.demo.demo.service.dto.WFDynamicUserSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFDynamicUser] 服务对象接口
 */
public interface WFDynamicUserService extends IService<WFDynamicUser>{

	boolean update(WFDynamicUser et);
	boolean checkKey(WFDynamicUser et);
	boolean getDraft(WFDynamicUser et);
	boolean create(WFDynamicUser et);
		WFDynamicUser get(WFDynamicUser et);
	boolean remove(WFDynamicUser et);
    List<WFDynamicUser> listDefault(WFDynamicUserSearchFilter filter) ;
	Page<WFDynamicUser> searchDefault(WFDynamicUserSearchFilter filter);
	/**	 实体[WFDynamicUser] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }